from retab import Retab
client = Retab()
table = client.tables.get(table_id="workflow_table_123")
print(table)
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
const table = await client.tables.get("workflow_table_123");
console.log(table);
package main
import (
"context"
"fmt"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
table, err := client.Tables.Get(ctx, "workflow_table_123")
if err != nil {
log.Fatal(err)
}
fmt.Println(*table)
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
table = client.tables.get(table_id: 'workflow_table_123')
puts table
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
let table = client.tables().get("workflow_table_123").await?;
println!("{:?}", table);
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$result = $client->tables()->get(
tableId: 'workflow_table_123',
);
print_r($result);
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
var result = await client.Tables.GetAsync("workflow_table_123");
Console.WriteLine(result);
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var result = client.tables().get("workflow_table_123");
System.out.println(result);
}
}
curl https://api.retab.com/v1/tables/workflow_table_123 \
-H "Authorization: Bearer $RETAB_API_KEY"
{
"table": {
"id": "<string>",
"name": "<string>",
"filename": "<string>",
"row_count": 123,
"project_id": "<string>",
"source_file_id": "",
"snapshot_file_id": "",
"columns": [],
"sample_rows": [],
"metadata": {},
"uploaded_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"detail": []
}Tables
Get Table
GET
/
v1
/
tables
/
{table_id}
from retab import Retab
client = Retab()
table = client.tables.get(table_id="workflow_table_123")
print(table)
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
const table = await client.tables.get("workflow_table_123");
console.log(table);
package main
import (
"context"
"fmt"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
table, err := client.Tables.Get(ctx, "workflow_table_123")
if err != nil {
log.Fatal(err)
}
fmt.Println(*table)
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
table = client.tables.get(table_id: 'workflow_table_123')
puts table
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
let table = client.tables().get("workflow_table_123").await?;
println!("{:?}", table);
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$result = $client->tables()->get(
tableId: 'workflow_table_123',
);
print_r($result);
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
var result = await client.Tables.GetAsync("workflow_table_123");
Console.WriteLine(result);
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var result = client.tables().get("workflow_table_123");
System.out.println(result);
}
}
curl https://api.retab.com/v1/tables/workflow_table_123 \
-H "Authorization: Bearer $RETAB_API_KEY"
{
"table": {
"id": "<string>",
"name": "<string>",
"filename": "<string>",
"row_count": 123,
"project_id": "<string>",
"source_file_id": "",
"snapshot_file_id": "",
"columns": [],
"sample_rows": [],
"metadata": {},
"uploaded_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"detail": []
}Get one table’s metadata, schema, and sample rows.
from retab import Retab
client = Retab()
table = client.tables.get(table_id="workflow_table_123")
print(table)
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
const table = await client.tables.get("workflow_table_123");
console.log(table);
package main
import (
"context"
"fmt"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
table, err := client.Tables.Get(ctx, "workflow_table_123")
if err != nil {
log.Fatal(err)
}
fmt.Println(*table)
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
table = client.tables.get(table_id: 'workflow_table_123')
puts table
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
let table = client.tables().get("workflow_table_123").await?;
println!("{:?}", table);
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$result = $client->tables()->get(
tableId: 'workflow_table_123',
);
print_r($result);
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
var result = await client.Tables.GetAsync("workflow_table_123");
Console.WriteLine(result);
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var result = client.tables().get("workflow_table_123");
System.out.println(result);
}
}
curl https://api.retab.com/v1/tables/workflow_table_123 \
-H "Authorization: Bearer $RETAB_API_KEY"
⌘I